(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@risserlabs/auto-contrast", "../Box", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.autoContrast, global.Box, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _autoContrast, _Box, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Alert = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Alert/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 05-09-2022 06:32:25
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const themeKey = "alerts";
  const defaultStyle = {
    alignItems: "center",
    bg: "primary",
    borderRadius: 4,
    color: "white",
    display: "flex",
    flexDirection: "row",
    fontWeight: "700",
    px: 3,
    py: 2
  };
  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "primary"
  })(defaultStyle);

  const Alert = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    return /*#__PURE__*/_react.default.createElement(StyledBox, (0, _extends2.default)({}, props, {
      sx: sx,
      themeKey: (0, _util.forwardThemeKey)(props, themeKey)
    }));
  };

  _exports.Alert = Alert;
});
//# sourceMappingURL=index.js.map