(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "./props", "../Box"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("./props"), require("../Box"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.props, global.Box);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _props, _Box) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.AspectRatio = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/AspectRatio/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 27-06-2022 03:42:37
   * Author: Harikittu46
   * -----
   * Last Modified: 07-09-2022 07:51:18
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const StyledOuter = (0, _dripsy.styled)(_Box.Box)({
    position: "relative",
    overflow: "hidden"
  });
  const StyledInner = (0, _dripsy.styled)(_Box.Box)({
    position: "absolute",
    bottom: 0,
    left: 0,
    right: 0,
    top: 0
  });

  const AspectRatio = props => {
    const {
      baseProps,
      baseSx,
      outerSx,
      baseStyle,
      outerStyle,
      outerProps
    } = (0, _props.useSplitProps)(props);
    return /*#__PURE__*/_react.default.createElement(StyledOuter, (0, _extends2.default)({}, outerProps, {
      sx: outerSx,
      style: outerStyle
    }), /*#__PURE__*/_react.default.createElement(_Box.Box, {
      style: {
        width: "100%",
        height: 0,
        paddingBottom: "".concat(100 / (props.ratio || 1), "%")
      }
    }), /*#__PURE__*/_react.default.createElement(StyledInner, (0, _extends2.default)({}, baseProps, {
      sx: baseSx,
      style: baseStyle
    })));
  };

  _exports.AspectRatio = AspectRatio;
});
//# sourceMappingURL=index.js.map