(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@risserlabs/auto-contrast", "../Image"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Image"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.autoContrast, global.Image);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _autoContrast, _Image) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Avatar = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Avatar/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 19-08-2022 08:29:43
   * Author: Clay Risser
   * -----
   * Last Modified: 02-09-2022 11:37:29
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const defaultStyle = {
    bg: "primary",
    borderRadius: 9999,
    objectFit: "cover"
  };
  const ThemedImage = (0, _dripsy.styled)(_Image.Image, {
    defaultVariant: "avatar",
    themeKey: "images"
  })(defaultStyle);

  const Avatar = props => {
    const sx = (0, _autoContrast.useCalculatedSx)(props.sx);
    return /*#__PURE__*/_react.default.createElement(ThemedImage, (0, _extends2.default)({}, props, {
      sx: {
        width: props.size,
        height: props.size,
        ...sx
      }
    }));
  };

  _exports.Avatar = Avatar;
  Avatar.defaultProps = {
    size: 48
  };
});
//# sourceMappingURL=index.js.map