(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.util);
    global.props = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _util) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.useSplitProps = void 0;

  /**
   * File: /src/components/Button/props.ts
   * Project: @native-theme-ui/core
   * File Created: 05-07-2022 07:43:20
   * Author: Clay Risser
   * -----
   * Last Modified: 10-09-2022 12:35:18
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const useSplitProps = (0, _util.createUseSplitProps)({
    textProps: "autoContrast",
    motiProps: _util.splitPropsGroups.props.moti
  }, {
    innerSx: _util.splitPropsGroups.sx.inner,
    motiPressableOuterSx: _util.splitPropsGroups.sx.outer,
    sharedSx: ["borderRadius"],
    textSx: _util.splitPropsGroups.sx.text
  });
  _exports.useSplitProps = useSplitProps;
});
//# sourceMappingURL=props.js.map