(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "@risserlabs/auto-contrast", "react-native-svg", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("@risserlabs/auto-contrast"), require("react-native-svg"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.autoContrast, global.reactNativeSvg, global.dripsy);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _autoContrast, _reactNativeSvg, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Donut = void 0;
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Donut/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 09-09-2022 12:55:24
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-non-null-assertion */
  const themeKey = "variants";
  const StyledSvg = (0, _dripsy.styled)(_reactNativeSvg.Svg, {
    themeKey
  })({});

  const Donut = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, themeKey);
    const {
      strokeWidth,
      value,
      min,
      max
    } = props;
    const r = 16 - (typeof strokeWidth === "number" ? strokeWidth : parseFloat(strokeWidth));
    const C = 2 * r * Math.PI;
    const offset = C - (value - min) / (max - min) * C;
    return /*#__PURE__*/_react.default.createElement(StyledSvg, {
      fill: "none",
      height: props.size,
      stroke: sx.color,
      strokeWidth: strokeWidth,
      viewBox: "0 0 32 32",
      width: props.size,
      sx: sx
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
      cx: 16,
      cy: 16,
      opacity: 1 / 8,
      r: r
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Circle, {
      cx: 16,
      cy: 16,
      r: r,
      strokeDasharray: C,
      strokeDashoffset: offset,
      transform: "rotate(-90 16 16)"
    }));
  };

  _exports.Donut = Donut;
  Donut.defaultProps = {
    max: 1,
    min: 0,
    size: 128,
    strokeWidth: 2,
    value: 0
  };
});
//# sourceMappingURL=index.js.map