(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "core-js/modules/web.dom-collections.iterator.js", "react", "dripsy", "react-native", "@risserlabs/auto-contrast", "../Box", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("core-js/modules/web.dom-collections.iterator.js"), require("react"), require("dripsy"), require("react-native"), require("@risserlabs/auto-contrast"), require("../Box"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.webDomCollectionsIterator, global.react, global.dripsy, global.reactNative, global.autoContrast, global.Box, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _webDomCollectionsIterator, _react, _dripsy, _reactNative, _autoContrast, _Box, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Image = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Image/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 04-09-2022 07:50:57
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const defaultStyle = {
    height: "auto",
    maxWidth: "100%",
    width: "100%"
  };
  const StyledImage = (0, _dripsy.styled)(_reactNative.Image, {
    themeKey: "images"
  })(defaultStyle);
  const StyledOuterBox = (0, _dripsy.styled)(_Box.Box)({
    position: "relative",
    overflow: "hidden"
  });

  const Image = props => {
    var _props$src;

    const [imageRatio, setImageRatio] = (0, _react.useState)();
    const sx = (0, _autoContrast.useCalculatedSx)({ ...props.sx
    });

    const style = _reactNative.StyleSheet.flatten(props.style || {});

    style.resizeMode = getResizeMode(sx, style.objectFit, style.resizeMode);
    delete style.objectFit;
    delete sx.objectFit;
    const {
      baseProps,
      baseStyle,
      baseSx,
      innerStyle,
      innerSx,
      motiPressableProps
    } = (0, _props.useSplitProps)(props, sx);
    const isMotiPressable = !!Object.keys(motiPressableProps).length;
    const styledImageProps = { ...baseProps
    };

    if (typeof props.src === "string") {
      styledImageProps.source = {
        uri: props.src
      };
    } else {
      styledImageProps.source = props.src;
    }

    delete styledImageProps.src;
    const calculateHeight = style.height === "auto" || typeof style.height === "undefined" && (typeof sx.height === "undefined" || sx.height === "auto");
    const uri = typeof props.src === "string" ? props.src : (_props$src = props.src) === null || _props$src === void 0 ? void 0 : _props$src.uri;

    if (uri && !imageRatio && calculateHeight) {
      _reactNative.Image.getSize(uri, (width, height) => {
        setImageRatio(width / height);
      });
    }

    if (calculateHeight && imageRatio) {
      return /*#__PURE__*/_react.default.createElement(StyledOuterBox, (0, _extends2.default)({}, motiPressableProps, {
        sx: baseSx,
        style: baseStyle
      }), /*#__PURE__*/_react.default.createElement(_Box.Box, {
        style: {
          height: 0,
          paddingBottom: "".concat(100 / imageRatio, "%"),
          width: "100%"
        }
      }), /*#__PURE__*/_react.default.createElement(StyledImage, (0, _extends2.default)({}, styledImageProps, {
        sx: innerSx,
        style: { ...innerStyle,
          position: "absolute",
          top: 0,
          right: 0,
          bottom: 0,
          left: 0
        }
      })));
    }

    if (isMotiPressable) {
      return /*#__PURE__*/_react.default.createElement(StyledOuterBox, (0, _extends2.default)({}, motiPressableProps, {
        sx: baseSx,
        style: { ...baseStyle
        }
      }), /*#__PURE__*/_react.default.createElement(StyledImage, (0, _extends2.default)({}, styledImageProps, {
        sx: innerSx,
        style: { ...innerStyle,
          overflow: "visible",
          width: "100%",
          height: "100%"
        }
      })));
    }

    return /*#__PURE__*/_react.default.createElement(StyledImage, (0, _extends2.default)({}, styledImageProps, {
      sx: sx,
      style: style
    }));
  };

  _exports.Image = Image;

  function getResizeMode(sx, objectFit, resizeMode) {
    if (resizeMode) return resizeMode;
    if (objectFit === "fill") return "stretch";

    if (objectFit === "cover" || objectFit === "contain") {
      return objectFit;
    }

    if (sx.objectFit === "fill") return "stretch";

    if (sx.objectFit === "cover" || sx.objectFit === "contain") {
      return sx.objectFit;
    }

    return "contain";
  }
});
//# sourceMappingURL=index.js.map