(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "core-js/modules/web.dom-collections.iterator.js", "react", "dripsy", "react-native", "@risserlabs/auto-contrast", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("core-js/modules/web.dom-collections.iterator.js"), require("react"), require("dripsy"), require("react-native"), require("@risserlabs/auto-contrast"), require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.webDomCollectionsIterator, global.react, global.dripsy, global.reactNative, global.autoContrast, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _webDomCollectionsIterator, _react, _dripsy, _reactNative, _autoContrast, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Input = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Input/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 11-09-2022 06:13:29
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const themeKey = "forms";
  const defaultStyle = {
    borderRadius: 4,
    borderStyle: "solid",
    borderWidth: 1,
    color: "text",
    fontSize: 1,
    p: 2
  };
  const StyledTextInput = (0, _dripsy.styled)(_reactNative.TextInput, {
    themeKey,
    defaultVariant: "input"
  })(defaultStyle);

  const Input = props => {
    var _props$value;

    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    const themeLookup = (0, _autoContrast.useThemeLookup)((0, _util.forwardThemeKey)(props, themeKey));
    const [value, setValue] = (0, _react.useState)(props.defaultValue || "");
    const handleChangeText = (0, _react.useCallback)(text => {
      setValue(text);
      if (props.onChangeText) props.onChangeText(text);
    }, [props.onChangeText]);
    const clonedProps = { ...props
    };
    delete clonedProps.defaultValue;
    delete clonedProps.children;
    return /*#__PURE__*/_react.default.createElement(StyledTextInput, (0, _extends2.default)({}, clonedProps, {
      onChangeText: handleChangeText,
      placeholderTextColor: themeLookup("color", props.placeholderTextColor),
      selectionColor: themeLookup("color", props.selectionColor),
      sx: sx,
      underlineColorAndroid: themeLookup("color", props.underlineColorAndroid),
      value: (_props$value = props.value) !== null && _props$value !== void 0 ? _props$value : value
    }));
  };

  _exports.Input = Input;
});
//# sourceMappingURL=index.js.map