(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@expo/html-elements", "@risserlabs/auto-contrast", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@expo/html-elements"), require("@risserlabs/auto-contrast"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.htmlElements, global.autoContrast, global.dripsy);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _htmlElements, _autoContrast, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Link = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Link/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 05-08-2022 04:38:52
   * Author: Clay Risser
   * -----
   * Last Modified: 26-08-2022 05:50:23
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "links";
  const defaultStyle = {};
  const StyledA = (0, _dripsy.styled)(_htmlElements.A, {
    themeKey,
    defaultVariant: "styles.a"
  })(defaultStyle);

  const Link = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    return /*#__PURE__*/_react.default.createElement(StyledA, (0, _extends2.default)({}, props, {
      sx: sx
    }));
  };

  _exports.Link = Link;
});
//# sourceMappingURL=index.js.map