require("core-js/modules/web.dom-collections.iterator.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native", "dripsy", "@risserlabs/auto-contrast", "../Link", "../Box", "../Text", "../../hooks"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Link"), require("../Box"), require("../Text"), require("../../hooks"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNative, global.dripsy, global.autoContrast, global.Link, global.Box, global.Text, global.hooks);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNative, _dripsy, _autoContrast, _Link, _Box, _Text, _hooks) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.NavLink = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/NavLink/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 08-09-2022 11:30:03
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "links";
  const defaultOuterStyle = {
    color: "background",
    display: "flex",
    fontWeight: "700",
    width: "100%"
  };
  const defaultStyle = {
    color: "background",
    display: "flex",
    fontWeight: "700",
    textDecoration: "none",
    width: "100%"
  };
  const StyledLink = (0, _dripsy.styled)(_Link.Link, {
    themeKey,
    defaultVariant: "nav"
  })(defaultStyle);
  const StyledText = (0, _dripsy.styled)(_Text.Text, {
    themeKey,
    defaultVariant: "nav"
  })(defaultStyle);
  const StyledOuterBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "nav"
  })(defaultOuterStyle);

  const NavLink = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);

    const style = _reactNative.StyleSheet.flatten([{
      borderRadius: 2
    }, _reactNative.StyleSheet.flatten(props.style || {})]);

    const animationState = (0, _hooks.useAnimationStateSx)({
      from: {},
      to: {
        backgroundColor: "transparent"
      },
      hover: {
        backgroundColor: style.backgroundColor || sx.backgroundColor || sx.bg || "highlight"
      }
    });
    const handleEnter = (0, _react.useCallback)(() => {
      animationState.transitionTo("hover");
    }, []);
    const handleLeave = (0, _react.useCallback)(() => {
      animationState.transitionTo("to");
    }, []);

    function renderLink() {
      if (props.href === "#!") {
        const textProps = { ...props
        };
        delete textProps.href;
        return /*#__PURE__*/_react.default.createElement(StyledText, (0, _extends2.default)({}, props, {
          state: animationState,
          style: style,
          sx: sx,
          transition: {
            type: "timing",
            duration: 200
          }
        }));
      }

      return /*#__PURE__*/_react.default.createElement(StyledLink, (0, _extends2.default)({}, props, {
        sx: sx
      }));
    }

    return /*#__PURE__*/_react.default.createElement(StyledOuterBox, {
      onHoverIn: handleEnter,
      onHoverOut: handleLeave,
      onPressIn: handleEnter,
      onPressOut: handleLeave
    }, renderLink());
  };

  _exports.NavLink = NavLink;
});
//# sourceMappingURL=index.js.map