(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "core-js/modules/web.dom-collections.iterator.js", "dripsy", "moti"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("core-js/modules/web.dom-collections.iterator.js"), require("dripsy"), require("moti"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.webDomCollectionsIterator, global.dripsy, global.moti);
    global.useAnimationStateSx = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _webDomCollectionsIterator, _dripsy, _moti) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.useAnimationStateSx = useAnimationStateSx;

  /**
   * File: /src/hooks/useAnimationStateSx.ts
   * Project: @native-theme-ui/core
   * File Created: 02-09-2022 06:26:21
   * Author: Clay Risser
   * -----
   * Last Modified: 04-09-2022 07:01:20
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  function useAnimationStateSx(variantsSx, config, themeKey) {
    const sx = (0, _dripsy.useSx)();
    const variants = Object.entries(variantsSx).reduce((variants, _ref) => {
      let [key, value] = _ref;
      variants[key] = sx(value, {
        themeKey
      });
      return variants;
    }, {});
    return (0, _moti.useAnimationState)(variants, config);
  }
});
//# sourceMappingURL=useAnimationStateSx.js.map