/**
 * File: /src/util.ts
 * Project: @native-theme-ui/core
 * File Created: 28-02-2022 07:21:50
 * Author: Clay Risser
 * -----
 * Last Modified: 10-09-2022 12:40:52
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Sx, SxProp } from "dripsy";
export declare function createUseSplitProps<Props, SplitPropsBuckets = Record<string, Record<string, unknown>>, SplitSxBuckets = Record<string, Partial<SxProp>>, SplitStyleBuckets = Record<string, Partial<SxProp>>>(propsBuckets?: Record<string, Matcher> | null, sxBuckets?: Record<string, Matcher> | null): (props: Props, sx?: Sx) => SplitPropsBuckets & SplitSxBuckets & SplitStyleBuckets;
export declare type Matcher = Set<string> | RegExp | string | (RegExp | string | Set<string>)[];
export declare const splitPropsGroups: {
    sx: {
        inner: (string | RegExp | Set<string>)[];
        margin: (string | RegExp | Set<string>)[];
        outer: (string | RegExp | Set<string>)[];
        padding: (string | RegExp | Set<string>)[];
        text: (string | RegExp | Set<string>)[];
    };
    props: {
        moti: (string | RegExp | Set<string>)[];
        pressable: (string | RegExp | Set<string>)[];
    };
};
export declare function isText(children: unknown): boolean;
export declare function forwardThemeKey(props: {
    themeKey?: any;
}, themeKey: string): undefined;
