/**
 * File: /src/components/Flex/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 09-09-2022 13:10:19
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="react" />
import { Sx } from "dripsy";
import { BoxProps } from "../Box";
declare type FlexStyles = Pick<Sx, "flexDirection" | "justifyContent" | "alignItems">;
export declare const Flex: import("react").ComponentType<import("dripsy").StyledProps<keyof import("dripsy").Theme> & ((((Omit<import("../../types").DripsyStyledProps<import("moti/interactions").MotiPressableProps, keyof import("dripsy").Theme>, "state"> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & import("dripsy").StyledProps<keyof import("dripsy").Theme> & import("react-native").TextProps & {
    children?: import("react").ReactNode;
} & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("../Box/props").MotiPropsBucket) | Pick<Omit<import("../../types").DripsyStyledProps<import("moti/interactions").MotiPressableProps, keyof import("dripsy").Theme>, "state"> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & import("dripsy").StyledProps<keyof import("dripsy").Theme> & import("react-native").TextProps & import("react").RefAttributes<import("react").Component<import("react-native").TextProps, any, any>> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("../Box/props").MotiPropsBucket, "autoContrast" | "variants" | "children" | "transition" | "variant" | "testID" | "animate" | "animateInitialState" | "animateSx" | "delay" | "exit" | "exitSx" | "exitTransition" | "from" | "fromSx" | "onDidAnimate" | "state" | "stylePriority" | "onHoverIn" | "onHoverOut" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "style" | "sx" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "themeKey" | "as" | "hitSlop" | "onFocus" | "onBlur" | "id" | "disabled" | "containerStyle" | "dangerouslySilenceDuplicateIdsWarning" | "pressedValue" | "hoveredValue" | "onContainerLayout" | "href">) & import("react").RefAttributes<import("react").Component<BoxProps, any, any>>) | (BoxProps & {
    children?: import("react").ReactNode;
})) & FlexStyles>;
export declare type FlexProps = BoxProps & FlexStyles;
export {};
