/**
 * File: /src/components/Heading/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 19-08-2022 08:29:43
 * Author: Clay Risser
 * -----
 * Last Modified: 01-09-2022 12:27:52
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { FC, ComponentProps } from "react";
import { AutoContrast } from "@risserlabs/auto-contrast";
import { H1, H1Props } from "./H1";
declare const StyledHeading: React.ComponentType<import("dripsy").StyledProps<"text"> & ((((import("dripsy").StyledProps<keyof import("dripsy").Theme> & import("react-native").TextProps & {
    children?: React.ReactNode;
} & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket) | Pick<import("dripsy").StyledProps<keyof import("dripsy").Theme> & import("react-native").TextProps & React.RefAttributes<React.Component<import("react-native").TextProps, any, any>> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket, "autoContrast" | "key" | keyof import("react-native").TextProps | keyof import("dripsy").StyledProps<keyof import("dripsy").Theme> | keyof import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> | keyof import("../Text/props").MotiPropsBucket>) & React.RefAttributes<React.Component<import("..").TextProps, any, any>>) | (import("..").TextProps & {
    children?: React.ReactNode;
}))>;
export declare type HeadingProps = ComponentProps<typeof StyledHeading> & {
    autoContrast?: AutoContrast;
};
export declare const Heading: FC<HeadingProps>;
export { H1 };
export type { H1Props };
export * from "./H2";
export * from "./H3";
export * from "./H4";
export * from "./H5";
export * from "./H6";
